@Toopie
мамааааааааааааааааааааа

При установке Lua на Debian возникает ошибка. Как исправить?

Здравствуйте, решил начать учить Lua для back-end'a, говорят, шустрее PHP и Python'a будет. Мне для моих скромных проектов это лишь и надо.
Так вот, перешел я на официальный сайт - www.lua.org/start.html
Ввел в консоль все как надо:
curl -R -O http://www.lua.org/ftp/lua-5.3.4.tar.gz
tar zxf lua-5.3.4.tar.gz
cd lua-5.3.4
make linux test

И, пардон, не устанавливается!
Вот скриншот с ошибками - https://prnt.sc/jmzx9x
Ошибки возникают после make linux test...
  • Вопрос задан
  • 194 просмотра
Пригласить эксперта
Ответы на вопрос 2
@AVKor
apt install lua5.3
и вычистить сделанную ранее помойку.
Ответ написан
Lynn
@Lynn
nginx, js, css
Не нужно в Debian ничего ставить из исходников. Во всяком случае такие популярные вещи есть в пакетах.
If you use Linux or Mac OS X, Lua is either already installed on your system or there is a Lua package for it.


У меня в Ubuntu, например, есть пакет lua5.3

https://packages.debian.org/search?suite=default&s...

Так что правильный пусть: sudo apt-get install lua5.3
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы